<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class PlaceSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $items = [
            'Бишкек шаары|Город Бишкек',
            'Чүй облусу|Чуйская область' => [
                'Кант шаары|Город Кант',
                'Кара-Балта шаары|Город Кара-Балта',
                'Токмок шаары|Город Токмок',
                'Шопоков шаары|Город Шопоков',
                'Аламединский район',
                'Жайылский район',
                'Кемин району|Кеминский район',
                'Московский район',
                'Панфиловский район',
                'Сокулук району|Сокулукский район',
                'Чүй району|Чуйский район',
                'Ысык-Ата району|Ысык-Атинский район',
            ],
            'Ош облусу|Ошская область' => [
                'Ош шаары|Город Ош',
                'Кара-Суу шаары|Город Кара-Суу',
                'Ноокат шаары|Город Ноокат',
                'Өзгөн шаары|Город Узген',
                'Алай району|Алайский район',
                'Араван району|Араванский район',
                'Кара-Кулжа району|Кара-Кулжинский район',
                'Кара-Суу району|Кара-Суйский район',
                'Ноокат району|Ноокатский район',
                'Өзгөн району|Узгенский район',
                'Чон-Алай району|Чон-Алайский район',
            ],
            'Талас облусу|Таласская область' => [
                'Талас шаары|Город Талас',
                'Бакай-Атинский район',
                'Кара-Бууринский район',
                'Манас району|Манасский район',
                'Талас району|Таласский район',
            ],
            'Жалал-Абад облусу|Жалал-Абадская область' => [
                'Жалал-Абад шаары|Город Жалал-Абад',
                'Кара-Көл шаары|Город Кара-Куль',
                'Кочкор-Ата шаары|Город Кочкор-Ата',
                'Кок-Жангак шаары|Город Кок-Жангак',
                'Майлуу-Суу шаары|Город Майлуу-Суу',
                'Таш-Көмүр шаары|Город Таш-Кумыр',
                'Аксы району|Аксыйский район',
                'Ала-Бука району|Ала-Букинский район',
                'Базар-Коргон району|Базар-Коргонский район',
                'Ноокен району|Ноокенский район',
                'Сузак району|Сузакский район',
                'Тогуз-Төрө району|Тогуз-Торойский район',
                'Токтогул району|Токтогульский район',
                'Чаткал району|Чаткалский район',
            ],
            'Нарын облусу' => [
                'Нарын шаары|Город Нарын',
                'Ак-Талинский район',
                'Ат-Башы району|Ат-Башинский район',
                'Жумгал району|Жумгалский район',
                'Кочкор району|Кочкорский район',
                'Нарын району|Нарынский район',
            ],
            'Баткен облусу|Баткенская область' => [
                'Баткен шаары|Город Баткен',
                'Исфана шаары|Город Исфана',
                'Кызыл-Кыя шаары|Город Кызыл-Кия',
                'Сулюкту шаары|Город Сулюкта',
                'Баткен району|Баткенский район',
                'Кадамжай району|Кадамжайский район',
                'Лейлек району|Лейлекский район',
            ],
            'Ысык-Көл облусу|Ысык-Кульская область' => [
                'Каракөл шаары|Город Каракол',
                'Чолпон-Ата шаары|Город Чолпон-Ата',
                'Балыкчы шаары|Город Балыкчы',
                'Ак-Суу району|Ак-Сууйский район',
                'Жети-Өгүз району|Жети-Огузский район',
                'Тон району|Тонский район',
                'Тюп району|Тюпский район',
                'Ысык-Көл району|Ысык-Кульский район',
            ],
        ];

        $this->insert($items);
    }

    public function insert($data, $parent_id = null) {
        foreach ($data as $key => $item) {
            $title = is_integer($key) && is_string($item) ? $item : $key;
            $title_ky = explode('|', $title);

            if (count($title_ky) === 2) {
                $title_ru = $title_ky[1];
                $title_ky = $title_ky[0];
            } else {
                $title_ky = $title;
                $title_ru = $title;
            }

            DB::table('places')->insert([
                'added_by' => 1,
                'parent_id' => $parent_id,
                'title_ky' => $title_ky,
                'title_ru' => $title_ru,
                'created_at' => \Carbon\Carbon::now(),
                'updated_at' => \Carbon\Carbon::now(),
            ]);

            if (!(is_integer($key) && is_string($item))) {
                $this->insert($item, DB::getPdo()->lastInsertId());
            }
        }
    }
}
